Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84770 - install fails on update if boot loader update is skipped
Summary: install fails on update if boot loader update is skipped
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda
Version: phoebe
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-02-21 04:02 UTC by Need Real Name
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-31 15:45:22 UTC


Attachments (Terms of Use)
python dump (deleted)
2003-02-21 04:04 UTC, Need Real Name
no flags Details

Description Need Real Name 2003-02-21 04:02:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030211

Description of problem:
Text mode install fails consistently if I select the "upgrade existing
installation" option, and opt to skip updating the boot loader.

The existing installation I am trying to update is phoebe beta 2, installed on
hda4.  I already have RHL8.0 installed on partitions hda2,5,6, and I boot using
grub (from RHL8.0) installed in the mbr of hda.  

I saved the python dump to disk and I will try to attach it later.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. insert phoebe beta 3 CD1
2. boot into text mode install
3. select upgrade existing installation, and skip the boot loader update
    

Actual Results:  install fails

Expected Results:  sucessfull install

Additional info:

Python traceback:

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 739, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/text.py", line 438, in run
    rc = apply(win, (self.screen, ) + args)
  File "/usr/lib/anaconda/textw/upgrade_bootloader_text.py", line 113, in __call__
    self.bl.setDevice(self.bootDev)
  File "/usr/lib/booty/bootloaderInfo.py", line 224, in setDevice
    (dev, part) = getDiskPart(device)
  File "/usr/lib/booty/bootloaderInfo.py", line 1428, in getDiskPart
    cut = len(dev)
TypeError: len() of unsized object

Comment 1 Need Real Name 2003-02-21 04:04:26 UTC
Created attachment 90237 [details]
python dump

This is the file that anaconda wrote to floppy disk after the install failed.

Comment 2 Jeremy Katz 2003-02-21 21:47:46 UTC
Fixed in CVS

Comment 4 Bill Nottingham 2003-03-31 15:45:22 UTC
Assuming fixed. Please reopen if it occurs with the final release.


Note You need to log in before you can comment on or make changes to this bug.